Log4j 1.2.9

## org.apache.log4j.spi
Interface RepositorySelector

All Known Implementing Classes:
  DefaultRepositorySelector

public interface RepositorySelector

The `LogManager` uses one (and only one) `RepositorySelector` implementation to select the `LoggerRepository` for a particular application context.

It is the responsability of the `RepositorySelector` implementation to track the application context. Log4j makes no assumptions about the application context or on its management.

See also `LogManager`.

Since:
  1.2
Author:
  Ceki Gülcü

Method Summary
`LoggerRepository` `getLoggerRepository()` Returns a `LoggerRepository` depending on the context.

Method Detail

### getLoggerRepository

    public LoggerRepository getLoggerRepository()

  Returns a `LoggerRepository` depending on the context. Implementors must make sure that a valid (non-null) LoggerRepository is returned.

Log4j 1.2.9

Copyright 2000-2002 Apache Software Foundation.